# 
# 
# To apply this patch:
# STEP 1: Chdir to the source directory.
# STEP 2: Run the 'applypatch' program with this patch file as input.
#
# If you do not have 'applypatch', it is part of the 'makepatch' package
# that you can fetch from the Comprehensive Perl Archive Network:
# http://www.perl.com/CPAN/authors/Johan_Vromans/makepatch-x.y.tar.gz
# In the above URL, 'x' should be 2 or higher.
#
# To apply this patch without the use of 'applypatch':
# STEP 1: Chdir to the source directory.
# STEP 2: Run the 'patch' program with this file as input.
#
#### End of Preamble ####

#### Patch data follows ####
diff -up '/var/tmp/CPAN-build/Barcode-Code128-2.01-vpJVaY/t/png.t' 'Barcode-Code128-2.01/t/png.t'
Index: ./t/png.t
--- ./t/png.t	Mon May 28 23:42:51 2001
+++ ./t/png.t	Thu Jul  3 07:50:00 2008
@@ -19,13 +19,21 @@ exit unless $max;
 use strict;
 my $code = new Barcode::Code128;
 my $file = "t/code128.png";
-my $good;
-{
-    open IM, $file or die "Can't read $file: $!";
-    binmode IM;
-    read IM, $good, -s $file;
-    close IM;
-}
+my $expected_image = GD::Image->new($file);
+
 my $test = $code->png("CODE 128");
-print "not " unless $test eq $good;
+my $got_image = GD::Image->new($test);
+
+my $cmp = $expected_image->compare($got_image);
+print "not " if $cmp != 0;
 print "ok 2\n";
+
+if ($cmp & &GD::GD_CMP_IMAGE)       { warn "The two images look different\n" }
+if ($cmp & &GD::GD_CMP_NUM_COLORS)  { warn "The two images have different numbers of colors\n"}
+if ($cmp & &GD::GD_CMP_COLOR)       { warn "The two images' palettes differ\n"}
+if ($cmp & &GD::GD_CMP_SIZE_X)      { warn "The two images differ in the horizontal dimension\n"}
+if ($cmp & &GD::GD_CMP_SIZE_Y)      { warn "The two images differ in the vertical dimension\n"}
+if ($cmp & &GD::GD_CMP_TRANSPARENT) { warn "The two images have different transparency\n"}
+if ($cmp & &GD::GD_CMP_BACKGROUND)  { warn "The two images have different background colors\n"}
+if ($cmp & &GD::GD_CMP_INTERLACE)   { warn "The two images differ in their interlace\n"}
+if ($cmp & &GD::GD_CMP_TRUECOLOR)   { warn "The two images are not both true color\n"}
#### End of Patch data ####

#### ApplyPatch data follows ####
# Data version        : 1.0
# Date generated      : Thu Jul  3 07:50:56 2008
# Generated by        : makepatch 2.03
# Recurse directories : Yes
# Excluded files      : (\A|/).*\~\Z
#                       (\A|/).*\.a\Z
#                       (\A|/).*\.bak\Z
#                       (\A|/).*\.BAK\Z
#                       (\A|/).*\.elc\Z
#                       (\A|/).*\.exe\Z
#                       (\A|/).*\.gz\Z
#                       (\A|/).*\.ln\Z
#                       (\A|/).*\.o\Z
#                       (\A|/).*\.obj\Z
#                       (\A|/).*\.olb\Z
#                       (\A|/).*\.old\Z
#                       (\A|/).*\.orig\Z
#                       (\A|/).*\.rej\Z
#                       (\A|/).*\.so\Z
#                       (\A|/).*\.Z\Z
#                       (\A|/)\.del\-.*\Z
#                       (\A|/)\.make\.state\Z
#                       (\A|/)\.nse_depinfo\Z
#                       (\A|/)core\Z
#                       (\A|/)tags\Z
#                       (\A|/)TAGS\Z
# p 't/png.t' 679 1215064200 0100755
#### End of ApplyPatch data ####

#### End of Patch kit [created: Thu Jul  3 07:50:56 2008] ####
#### Patch checksum: 68 2761 55017 ####
#### Checksum: 86 3385 41013 ####
